Subject: bug#63797: closed (Re: bug#63797: [PATCH 0/2] fix python-matrix-nio build)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 01 Jul 2023 04:26:02 +0000

Your bug report

#63797: python-matrix-nio-0.20.0 sanity-check build failure (non-zero exit code)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63797: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63797
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63797: [PATCH 0/2] fix python-matrix-nio build
From: Andrew Tropin <[email-masked]>
To: Arjan Adriaanse <[email-masked]>, [email-masked]
Cc: "W. T. Meyer" <[email-masked]>, Arjan Adriaanse <[email-masked]>
Date: Sat, 01 Jul 2023 08:25:33 +0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2023-06-11 22:54, Arjan Adriaanse wrote:

> This updates python-matrix-nio which fixes the python-h11 dependency
> problem.  It also requires updating python-aiofiles.  Tested by
> successfully building dependent packages.
>
> Arjan Adriaanse (2):
>   gnu: python-aiofiles: Update to 23.1.0.
>   gnu: python-matrix-nio: Update to 0.20.2.
>
>  gnu/packages/matrix.scm     | 16 ++++++++--------
>  gnu/packages/python-xyz.scm |  4 ++--
>  2 files changed, 10 insertions(+), 10 deletions(-)
>
>
> base-commit: 74443c30f3e20655a046c0d3ea236822ef130968

Hi Arjan,

Thank you for the patches, applied, pushed as
https://git.savannah.gnu.org/cgit/guix.git/commit/?id=356c0009d4

-- 
Best regards,
Andrew Tropin

Subject: python-matrix-nio-0.20.0 sanity-check build failure (non-zero exit code)
From: "W. T. Meyer" <[email-masked]>
To: [email-masked]
Date: Mon, 29 May 2023 21:50:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi everyone,

python-matrix-nio-0.20.0 cannot currently be build:

#+begin_src 
building /gnu/store/lnyrxhl8h2mcyxjgkwhn52vpckp9bpy2-python-matrix-nio-0.20.0.drv...
- 'sanity-check' phasebuilder for `/gnu/store/lnyrxhl8h2mcyxjgkwhn52vpckp9bpy2-python-matrix-nio-0.20.0.drv' failed with exit code 1
build of /gnu/store/lnyrxhl8h2mcyxjgkwhn52vpckp9bpy2-python-matrix-nio-0.20.0.drv failed 
#+end_src

On a first glance and according to the build log this is because a
version of python-h11 between 12.0 and 13.0 is expected; but Guix only offers
python-h11 v14.0.0:

#+begin_src 
starting phase `sanity-check'
validating 'matrix-nio' /gnu/store/bl1sld962ra3r5aggj3knhz18min4ks8-python-matrix-nio-0.20.0/lib/python3.10/site-packages
...checking requirements: ERROR: matrix-nio==0.20.0 ContextualVersionConflict(h11 0.14.0 (/gnu/store/wpjdilwd82w59k2s1jk04ghrdfybh23b-python-h11-0.14.0/lib/python3.10/site-packages), Requirement.parse('h11<0.13.0,>=0.12.0'), {'matrix-nio'})
error: in phase 'sanity-check': uncaught exception:
%exception #<&invoke-error program: "python" arguments: ("/gnu/store/iqsjkp55pcx5bfcp2jm9yj5rlx9a0whd-sanity-check.py" "/gnu/store/bl1sld962ra3r5aggj3knhz18min4ks8-python-matrix-nio-0.20.0/lib/python3.10/site-packages") exit-status: 1 term-signal: #f stop-signal: #f> 
phase `sanity-check' failed after 0.3 seconds
command "python" "/gnu/store/iqsjkp55pcx5bfcp2jm9yj5rlx9a0whd-sanity-check.py" "/gnu/store/bl1sld962ra3r5aggj3knhz18min4ks8-python-matrix-nio-0.20.0/lib/python3.10/site-packages" failed with status 1
#+end_src

A possible solution could be to define a package variant of python-h11
as python-h11-13.0 and let matrix-nio depend on that in
the propagated-inputs of matrix-nio.

I haven't had the time to investigate this any further, but I'll at
least try to further look into this/maybe try to work on a patch myself
(I have only recently started using Guix, so getting to a set-up where I
can hack on guix packages may need some time still).

Regards,

Wilko Meyer